curl --request POST \
--url https://api.lendflow.com/api/applications/{application_id}/temporary_links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notify": true,
"owner": null,
"offer": null,
"docusign_placeholder_id": null,
"contract_template_id": null,
"consent_template_id": null,
"borrower_secret_token_expiration_days": 1,
"borrower_platform_template_id": null,
"borrower_platform_template_tab_id": "architecto",
"shorten": true,
"link_params": null,
"plaid": true,
"codat": true,
"personal_information": true,
"completed_stips": true,
"borrower_platform": false,
"borrower_platform_documents": false,
"chart": false,
"vouched_invite_link": true,
"applicant_docusign": true,
"applicant_consent": true,
"docusign": true,
"consent": false,
"consent_bank_statements": false,
"tax_details_docusign_plaid": false,
"tax_details_docusign_bank_statements": true,
"tax_details_consent_bank_statements": false
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/temporary_links"
payload = {
"notify": True,
"owner": None,
"offer": None,
"docusign_placeholder_id": None,
"contract_template_id": None,
"consent_template_id": None,
"borrower_secret_token_expiration_days": 1,
"borrower_platform_template_id": None,
"borrower_platform_template_tab_id": "architecto",
"shorten": True,
"link_params": None,
"plaid": True,
"codat": True,
"personal_information": True,
"completed_stips": True,
"borrower_platform": False,
"borrower_platform_documents": False,
"chart": False,
"vouched_invite_link": True,
"applicant_docusign": True,
"applicant_consent": True,
"docusign": True,
"consent": False,
"consent_bank_statements": False,
"tax_details_docusign_plaid": False,
"tax_details_docusign_bank_statements": True,
"tax_details_consent_bank_statements": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notify: true,
owner: null,
offer: null,
docusign_placeholder_id: null,
contract_template_id: null,
consent_template_id: null,
borrower_secret_token_expiration_days: 1,
borrower_platform_template_id: null,
borrower_platform_template_tab_id: 'architecto',
shorten: true,
link_params: null,
plaid: true,
codat: true,
personal_information: true,
completed_stips: true,
borrower_platform: false,
borrower_platform_documents: false,
chart: false,
vouched_invite_link: true,
applicant_docusign: true,
applicant_consent: true,
docusign: true,
consent: false,
consent_bank_statements: false,
tax_details_docusign_plaid: false,
tax_details_docusign_bank_statements: true,
tax_details_consent_bank_statements: false
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/temporary_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"personal_information_link": "https://example.com",
"docusign_link": "https://example.com"
}
}Create Temporary Application Links
Generates short-lived links the applicant can use to complete actions such as signing consent, connecting accounts, uploading documents, or accessing the borrower platform. Most links expire after two days, while Plaid links remain valid for 31 days.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
true
Must match an existing stored value.
null
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must be at least 1. Must not be greater than 30.
1
Must match an existing stored value.
null
"architecto"
true
null
true
true
true
true
false
false
false
true
true
true
true
false
false
false
true
false
Response
Show child attributes
Show child attributes
Was this page helpful?